var cells=
[
["interiezioni","LE INTERIEZIONI","border:1px dashed gray;background:#f2f2f2;grid-column:6/span 2;grid-row:1;","fond","audio/interiezioni.mp3"],
["esprimono","ESPRIMONO","border:1px dashed gray;background:#ffffa1;grid-column:5;grid-row:1;","fond","audio/esprimono.mp3"],
["sentimenti","SENTIMENTI, STATI D' ANIMO, INVOCAZIONI, SALUTI, ....","border:1px dashed gray;background:#ffffca;grid-column:1/span 4;grid-row:1;","fond","audio/sentimenti.mp3"],
["possono","POSSONO ESSERE","border:1px dashed gray;background:#f2f2f2;grid-column:6/span 2;grid-row:2;","fond","audio/possono.mp3"],
["proprie","<b>PROPRIE</b> (UNA SOLA PAROLA)","border:1px dashed gray;background:#a1ffa1;grid-column:1/span 4;grid-row:3;","fond","audio/proprie.mp3"],
["proprie2","AH! EH! OH! EHI! URRÀ! AHIMÈ! ....","border:1px dashed gray;background:#c9ffc9;grid-column:1/span 4;grid-row:4;","fond","audio/proprie2.mp3"],
["composte","<b>COMPOSTE</b> (DUE O PIÙ PAROLE)","border:1px dashed gray;background:#ffa1ff;grid-column:5/span 4;grid-row:3;","fond","audio/composte.mp3"],
["composte2","ALTOLÀ!<br>PERBACCO!<br>MAMMAMIA! <br>....","border:1px dashed gray;background:#ffc9ff;grid-column:5/span 2;grid-row:4/span 2;","fond","audio/composte2.mp3"],
["composte3","CHE BELLO!<br>PER CARITÀ<br>POVERO ME!<br>....","border:1px dashed gray;background:#ffc9ff;grid-column:7/span 2;grid-row:4/span 2;","fond","audio/composte3.mp3"],
["improprie","<b>IMPROPRIE</b> (AGGETTIVI, NOMI, VERBI)","border:1px dashed gray;background:#a1ffff;grid-column:9/span 4;grid-row:3;","fond","audio/improprie.mp3"],
["improprie2","PECCATO! FORZA! BRAVO! VIVA! BASTA! BENE! ....","border:1px dashed gray;background:#c9ffff;grid-column:9/span 4;grid-row:4;","fond","audio/improprie2.mp3"],
["fond","","border-width:0px;background:#ffffff","fond",""],
];
var len = cells.length;	
function cleanButtons()
{	let y=document.getElementById(cells[0][0]);
	let h=document.getElementById(cells[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(cells[b][0]).style.background="white";
		document.getElementById(cells[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(cells[i][0]);
		k.style=cells[i][2];
		k.innerHTML=cells[i][1];				
	}	
	document.getElementById("fond").style.display="none";	
}
window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(cells[g][0]);
		k.style=cells[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("interiezioni").innerHTML=cells[0][1];
	document.getElementById("interiezioni").style=cells[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=cells[i][1];
				document.getElementById(cells[i+1][0]).style=cells[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(cells[i][4]);
			}			
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(cells[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	document.addEventListener("click",eventClick);	
	function eventClick(e)
	{	for(let i=1;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	if (document.getElementById(cells[i][3]).style.display=="block")
				{	document.getElementById(cells[i][3]).style.display="none";
				}
				else
				{	document.getElementById(cells[i][3]).style.display="block"
				}
			}
		}	
		document.getElementById("fond").style.display="none";	
	}
return;
}
function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}
let dim = false;
const BIBBI_WIDTH = "48%";
const BIBBI_TOP = "20%"
const BIBBI1_LEFT = "1%";
const BIBBI2_LEFT = "51%";
const BIBBI_MAX_HEIGTH = "70%";
const BIBBI_ENLARGE_WIDTH = "98%";
const BIBBI_ENLARGE_HEIGTH = "85%";
const BIBBI_ENLARGE_TOP = "10%";
function hideIt(qc)
{   let bibbis1=document.getElementsByClassName("bibbi1");
    let k=bibbis1.length;
    let bibbis2=document.getElementsByClassName("bibbi2");
    let h=bibbis2.length;
    for(let a=0;a<k;a++)
    {	bibbis1[a].style.display="none";
    }
    for(let b=0;b<h;b++)
    {	bibbis2[b].style.display="none";
    }
	
	if(document.getElementById(qc).getAttribute('class')=="bibbi1")
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI1_LEFT;
	    document.getElementById(qc).style.width = BIBBI_WIDTH;
	    document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
	}
    else
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI2_LEFT;
    	document.getElementById(qc).style.width = BIBBI_WIDTH;
    	document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
    }
	document.getElementById(qc).style.display = "none";
	dim=false;	
}
function enlargeIt(div)
{	if(dim==true)
	{	if(document.getElementById(div).getAttribute("class")=="bibbi1")
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI1_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
		else if(document.getElementById(div).getAttribute("class")=="bibbi2") 
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI2_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
	}
	else if(dim==false)
	{	document.getElementById(div).style.width=BIBBI_ENLARGE_WIDTH;
		document.getElementById(div).style.height="auto";
		document.getElementById(div).style.left=BIBBI1_LEFT;
		document.getElementById(div).style.top=BIBBI_ENLARGE_TOP;
		document.getElementById(div).style.maxHeight=BIBBI_ENLARGE_HEIGTH;
		dim=true;
	}		
}
